# std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 > Struct Template Reference

Inheritance diagram for std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 >:

## Detailed Description

### template<typename _Res, typename _T1, typename _T2>
struct std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 >

Derives from `binary_function`, as appropriate.

Definition at line 523 of file tr1_impl/functional.

The documentation for this struct was generated from the following file:

- tr1_impl/functional